Returns the page geometry

- « Imagick::getPackageName

- Imagick::getPixelIterator »

- PHP Manual
- Imagick
- Returns the page geometry

# Imagick::getPage

(PECL imagick 2, PECL imagick 3)

Imagick::getPage — Returns the page geometry

### Description

public Imagick::getPage(): array

Returns the page geometry associated with the Imagick object in an associative array with the keys "width", "height", "x", and "y".

### Parameters

This function has no parameters.

### Return Values

Returns the page geometry associated with the Imagick object in an associative array with the keys "width", "height", "x", and "y", throwing ImagickException on error.